Skip to main content
GET
Retrieve a dataset

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
required

The unique identifier of the dataset

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response

Dataset retrieved successfully. Returns the complete dataset object.

_id
required

The unique identifier of the dataset

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
display_name
string
required

The display name of the dataset

Required string length: 1 - 128
project_id
required

The unique identifier of the project it belongs to

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
workspace_id
required

The unique identifier of the workspace it belongs to

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
metadata
object
required
created_by_id

The unique identifier of the user who created the dataset

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
updated_by_id

The unique identifier of the user who last updated the dataset

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
created
default:2026-06-10T10:08:14.953Z

The date and time the resource was created

updated
default:2026-06-10T10:08:14.954Z

The date and time the resource was last updated